package com.github.doomsdayrs.apps.shosetsu.backend.database.objects;

import com.github.doomsdayrs.apps.shosetsu.backend.database.objects.base.BaseChapter;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 * ====================================================================
 * shosetsu
 * 27 / 07 / 2019
 *
 * @author github.com/doomsdayrs
 */
public class DBChapter extends BaseChapter {
    public final String SAVED_DATA;
    public final int Y;
    public final int READ_CHAPTER;
    public final boolean BOOKMARKED;
    public final boolean IS_SAVED;
    public final String SAVE_PATH;

    public DBChapter(String novel_url, String chapter_url, String saved_data, int y, int read_chapter, boolean bookmarked, boolean is_saved, String save_path) {
        super(novel_url, chapter_url);
        SAVED_DATA = saved_data;
        Y = y;
        READ_CHAPTER = read_chapter;
        BOOKMARKED = bookmarked;
        IS_SAVED = is_saved;
        SAVE_PATH = save_path;
    }

    @Override
    public String toString() {
        return "Chapter{" +
                "SAVED_DATA='" + SAVED_DATA + '\'' +
                ", Y='" + Y + '\'' +
                ", READ_CHAPTER=" + READ_CHAPTER +
                ", BOOKMARKED=" + BOOKMARKED +
                ", IS_SAVED=" + IS_SAVED +
                ", SAVE_PATH='" + SAVE_PATH + '\'' +
                ", CHAPTER_URL='" + CHAPTER_URL + '\'' +
                ", NOVEL_URL='" + NOVEL_URL + '\'' +
                '}';
    }
}
